Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.statistics
Interface IPlaylistSubscriberStreamStatistics

All Superinterfaces:
  IStatisticsBase, IStreamStatistics

All Known Implementing Classes:
  PlaylistSubscriberStream

    public interface IPlaylistSubscriberStreamStatistics

extends IStreamStatistics

Statistical informations about a stream that is subscribed by a client.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Method Summary
`long` | `getBytesSent()` Return total number of bytes sent to the client from this stream.
`int` | `getClientBufferDuration()` Return the buffer duration as requested by the client.
`double` | `getEstimatedBufferFill()` Return estimated fill ratio of the client buffer.

Methods inherited from interface org.red5.server.api.statistics.IStreamStatistics
`getCurrentTimestamp`

Methods inherited from interface org.red5.server.api.statistics.IStatisticsBase
`getCreationTime`

Method Detail

### getBytesSent

    long getBytesSent()

  Return total number of bytes sent to the client from this stream.

  Returns:
    number of bytes

### getClientBufferDuration

    int getClientBufferDuration()

  Return the buffer duration as requested by the client.

  Returns:
    the buffer duration in milliseconds

### getEstimatedBufferFill

    double getEstimatedBufferFill()

  Return estimated fill ratio of the client buffer.

  Returns:
    fill ratio in percent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project